%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}

%global pypi_name bitstruct
%global global_desc \
This module performs conversions between Python values and C bit \
field structs represented as Python byte strings.  It is intended to \
have a similar interface as the python struct module, but working on \
bits instead of primitive data types (char, int, …).


Name:           python-%{pypi_name}
Version:        8.17.0
Release:    3%{?dist}
Summary:        Interpret strings as packed binary data

ExcludeArch:    s390x

License:        MIT
URL:            https://github.com/eerimoq/bitstruct
Source0:        %{url}/archive/%{version}/bitstruct-%{version}.tar.gz

%description
%{global_desc}


%package        doc
Summary:        Documentation-files for %{name}

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gcc

%description    doc
Documentation-files for %{name}.


%package        -n python3-%{pypi_name}
Summary:        %{summary}

%description    -n python3-%{pypi_name}
%{global_desc}


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build
%make_build
%{_bindir}/find docs/_build -name '.*' -print0 | %{_bindir}/xargs -0 %{__rm} -frv


%install
%py3_install
%{__mkdir} -p %{buildroot}/%{_pkgdocdir}


%files doc
%license LICENSE
%doc %{_pkgdocdir}


%files -n python3-%{pypi_name}
%license LICENSE
%doc %dir %{_pkgdocdir}
%doc README.rst
%{python3_sitearch}/%{pypi_name}*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.17.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.17.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.17.0-1
- initial build
